svn::StatusSel Class Reference

`#include <status_selection.hpp>`

## Public Member Functions

| StatusSel ()
virtual | ~StatusSel ()
| StatusSel (const StatusSel &src)
StatusSel & | operator= (const StatusSel &src)
const apr_array_header_t * | array (const Pool &pool) const
const StatusVector & | statusVector () const
const Targets & | targets () const
const Path & | target () const
size_t | size () const
void | reserve (size_t size)
void | push_back (const Status &status)
void | clear ()
| operator const PathVector & () const
bool | hasFiles () const
bool | hasDirs () const
bool | hasVersioned () const
bool | hasUnversioned () const
bool | hasUrl () const
bool | hasLocal () const

## Detailed Description

Container for a vector full of Status

## Constructor & Destructor Documentation

svn::StatusSel::StatusSel | ( |  | ) |

default constructor

virtual svn::StatusSel::~StatusSel | ( |  | ) |

virtual

Destructor

svn::StatusSel::StatusSel | ( | const StatusSel & | src | ) |

Copy Constructor

Parameters

  src | Source

## Member Function Documentation

const apr_array_header_t* svn::StatusSel::array | ( | const Pool & | pool | ) | const

Returns an apr array containing char *.

Parameters

  pool | Pool used for conversion

void svn::StatusSel::clear | ( |  | ) |

cleans out all entries

bool svn::StatusSel::hasDirs | ( |  | ) | const

at least one target is a directory

bool svn::StatusSel::hasFiles | ( |  | ) | const

at least one target is a file

bool svn::StatusSel::hasLocal | ( |  | ) | const

at least one target is a local file or dir

bool svn::StatusSel::hasUnversioned | ( |  | ) | const

at least one target is unversioned

bool svn::StatusSel::hasUrl | ( |  | ) | const

at least one target is a repository URL

bool svn::StatusSel::hasVersioned | ( |  | ) | const

at least one target is versioned

svn::StatusSel::operator const PathVector & | ( |  | ) | const

operator to return the vector

Returns
  vector with targets

StatusSel& svn::StatusSel::operator= | ( | const StatusSel & | src | ) |

Assignment operator

void svn::StatusSel::push_back | ( | const Status & | status | ) |

add and check the next entry

Parameters

  status | Status to add

void svn::StatusSel::reserve | ( | size_t | size | ) |

reserves size

size_t svn::StatusSel::size | ( |  | ) | const

Returns
  the number of targets

const StatusVector& svn::StatusSel::statusVector | ( |  | ) | const

Returns a vector of statuses

Returns
  vector of statuses

const Path& svn::StatusSel::target | ( |  | ) | const

returns the first target in the list or an empty Path if no entries are present

Returns
  the first Path in the list

const Targets& svn::StatusSel::targets | ( |  | ) | const

Returns a vector of paths

Returns
  vector of paths

The documentation for this class was generated from the following file:

- status_selection.hpp